Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Protected Member Functions
QwtDialNeedle Class Reference

`#include <qwt_dial_needle.h>`

Inheritance diagram for QwtDialNeedle:
[legend]

List of all members.

## Public Member Functions
| QwtDialNeedle ()
virtual | ~QwtDialNeedle ()
virtual void | draw (QPainter *painter, const QPoint &center, int length, double direction, QPalette::ColorGroup cg=QPalette::Active) const =0
const QPalette & | palette () const
virtual void | setPalette (const QPalette &)

## Static Protected Member Functions
static void | drawKnob (QPainter *, const QPoint &pos, int width, const QBrush &, bool sunken)

## Detailed Description

Base class for needles that can be used in a QwtDial.

QwtDialNeedle is a pointer that indicates a value by pointing to a specific direction.

Qwt is missing a set of good looking needles. Contributions are very welcome.

See also:
  QwtDial, QwtCompass

## Member Function Documentation

virtual void QwtDialNeedle::draw | ( | QPainter * | painter,
|  | const QPoint & | center,
|  | int | length,
|  | double | direction,
|  | QPalette::ColorGroup | cg = `QPalette::Active`
| ) |  | const
| pure virtual

Draw the needle

Parameters:

  painter | Painter
  center | Center of the dial, start position for the needle
  length | Length of the needle
  direction | Direction of the needle, in degrees counter clockwise
  cg | Color group, used for painting

Implemented in QwtCompassWindArrow, QwtCompassMagnetNeedle, and QwtDialSimpleNeedle.

const QPalette & QwtDialNeedle::palette | ( |  | ) | const

Returns:
  the palette of the needle.

void QwtDialNeedle::setPalette | ( | const QPalette & | palette | ) |
| virtual

Sets the palette for the needle.

Parameters:

  palette | New Palette